Skip to content

# Class: DaemonSet

Renderer.K8sApi.DaemonSet

## Hierarchy

- `WorkloadKubeObject`

↳ DaemonSet

## Table of contents

### Constructors

- constructor

### Properties

- apiVersion
- kind
- managedFields
- metadata
- spec
- status
- apiBase
- kind
- namespaced
- nonEditableFields

### Accessors

- selfLink

### Methods

- delete
- getAffinity
- getAffinityNumber
- getAge
- getAnnotations
- getFinalizers
- getId
- getImages
- getLabels
- getName
- getNodeSelectors
- getNs
- getOwnerRefs
- getResourceVersion
- getSearchFields
- getSelectors
- getTemplateLabels
- getTimeDiffFromNow
- getTolerations
- toPlainObject
- update
- create
- isJsonApiData
- isJsonApiDataList
- isKubeJsonApiListMetadata
- isKubeJsonApiMetadata
- isNonSystem
- isPartialJsonApiData
- isPartialJsonApiMetadata
- stringifyLabels

## Constructors

### constructor

• new DaemonSet(`data`)

#### Parameters

Name | Type
--- | ---
`data` | `KubeJsonApiData`

#### Overrides

WorkloadKubeObject.constructor

## Properties

### apiVersion

• apiVersion: `string`

#### Inherited from

WorkloadKubeObject.apiVersion

### kind

• kind: `string`

#### Inherited from

WorkloadKubeObject.kind

### managedFields

• `Optional` managedFields: `any`

#### Inherited from

WorkloadKubeObject.managedFields

### metadata

• metadata: `KubeObjectMetadata`

#### Inherited from

WorkloadKubeObject.metadata

### spec

• spec: `Object`

#### Type declaration

Name | Type
--- | ---
`revisionHistoryLimit` | `number`
`selector` | `Object`
`selector.matchLabels` | `Object`
`template` | `Object`
`template.metadata` | `Object`
`template.metadata.creationTimestamp?` | `string`
`template.metadata.labels` | `Object`
`template.metadata.labels.name` | `string`
`template.spec` | `Object`
`template.spec.affinity?` | `IAffinity`
`template.spec.containers` | IPodContainer[]
`template.spec.dnsPolicy` | `string`
`template.spec.hostPID` | `boolean`
`template.spec.initContainers?` | IPodContainer[]
`template.spec.nodeSelector?` | `Object`
`template.spec.restartPolicy` | `string`
`template.spec.schedulerName` | `string`
`template.spec.securityContext` | `Object`
`template.spec.terminationGracePeriodSeconds` | `number`
`template.spec.tolerations` | { `effect`: `string` ; `key`: `string` ; `operator`: `string` ; `tolerationSeconds`: `number` }[]
`updateStrategy` | `Object`
`updateStrategy.rollingUpdate` | `Object`
`updateStrategy.rollingUpdate.maxUnavailable` | `number`
`updateStrategy.type` | `string`

#### Overrides

WorkloadKubeObject.spec

### status

• status: `Object`

#### Type declaration

Name | Type
--- | ---
`currentNumberScheduled` | `number`
`desiredNumberScheduled` | `number`
`numberAvailable` | `number`
`numberMisscheduled` | `number`
`numberReady` | `number`
`numberUnavailable` | `number`
`observedGeneration` | `number`
`updatedNumberScheduled` | `number`

#### Overrides

WorkloadKubeObject.status

### apiBase

▪ `Static` apiBase: `string` = "/apis/apps/v1/daemonsets"

### kind

▪ `Static` kind: `string` = "DaemonSet"

#### Overrides

WorkloadKubeObject.kind

### namespaced

▪ `Static` namespaced: `boolean` = true

#### Overrides

WorkloadKubeObject.namespaced

### nonEditableFields

▪ `Static` `Protected` `Readonly` nonEditableFields: `string`[]

#### Inherited from

WorkloadKubeObject.nonEditableFields

## Accessors

### selfLink

• `get` selfLink(): `string`

#### Returns

`string`

## Methods

### delete

▸ delete(`params?`): `Promise`<KubeJsonApiData>

#### Parameters

Name | Type
--- | ---
`params?` | `JsonApiParams`<any>

#### Returns

`Promise`<KubeJsonApiData>

#### Inherited from

WorkloadKubeObject.delete

### getAffinity

▸ getAffinity(): `IAffinity`

#### Returns

`IAffinity`

#### Inherited from

WorkloadKubeObject.getAffinity

### getAffinityNumber

▸ getAffinityNumber(): `number`

#### Returns

`number`

#### Inherited from

WorkloadKubeObject.getAffinityNumber

### getAge

▸ getAge(`humanize?`, `compact?`, `fromNow?`): `string` | `number`

#### Parameters

Name | Type | Default value
--- | --- | ---
`humanize` | `boolean` | true
`compact` | `boolean` | true
`fromNow` | `boolean` | false

#### Returns

`string` | `number`

#### Inherited from

WorkloadKubeObject.getAge

### getAnnotations

▸ getAnnotations(`filter?`): `string`[]

#### Parameters

Name | Type | Default value
--- | --- | ---
`filter` | `boolean` | false

#### Returns

`string`[]

#### Inherited from

WorkloadKubeObject.getAnnotations

### getFinalizers

▸ getFinalizers(): `string`[]

#### Returns

`string`[]

#### Inherited from

WorkloadKubeObject.getFinalizers

### getId

▸ getId(): `string`

#### Returns

`string`

#### Inherited from

WorkloadKubeObject.getId

### getImages

▸ getImages(): `string`[]

#### Returns

`string`[]

### getLabels

▸ getLabels(): `string`[]

#### Returns

`string`[]

#### Inherited from

WorkloadKubeObject.getLabels

### getName

▸ getName(): `string`

#### Returns

`string`

#### Inherited from

WorkloadKubeObject.getName

### getNodeSelectors

▸ getNodeSelectors(): `string`[]

#### Returns

`string`[]

#### Inherited from

WorkloadKubeObject.getNodeSelectors

### getNs

▸ getNs(): `string`

#### Returns

`string`

#### Inherited from

WorkloadKubeObject.getNs

### getOwnerRefs

▸ getOwnerRefs(): { `apiVersion`: `string` ; `blockOwnerDeletion`: `boolean` ; `controller`: `boolean` ; `kind`: `string` ; `name`: `string` ; `namespace`: `string` ; `uid`: `string` }[]

#### Returns

{ `apiVersion`: `string` ; `blockOwnerDeletion`: `boolean` ; `controller`: `boolean` ; `kind`: `string` ; `name`: `string` ; `namespace`: `string` ; `uid`: `string` }[]

#### Inherited from

WorkloadKubeObject.getOwnerRefs

### getResourceVersion

▸ getResourceVersion(): `string`

#### Returns

`string`

#### Inherited from

WorkloadKubeObject.getResourceVersion

### getSearchFields

▸ getSearchFields(): `string`[]

#### Returns

`string`[]

#### Inherited from

WorkloadKubeObject.getSearchFields

### getSelectors

▸ getSelectors(): `string`[]

#### Returns

`string`[]

#### Inherited from

WorkloadKubeObject.getSelectors

### getTemplateLabels

▸ getTemplateLabels(): `string`[]

#### Returns

`string`[]

#### Inherited from

WorkloadKubeObject.getTemplateLabels

### getTimeDiffFromNow

▸ getTimeDiffFromNow(): `number`

#### Returns

`number`

#### Inherited from

WorkloadKubeObject.getTimeDiffFromNow

### getTolerations

▸ getTolerations(): `IToleration`[]

#### Returns

`IToleration`[]

#### Inherited from

WorkloadKubeObject.getTolerations

### toPlainObject

▸ toPlainObject(): `object`

#### Returns

`object`

#### Inherited from

WorkloadKubeObject.toPlainObject

### update

▸ update<K>(`data`): `Promise`<K>

#### Type parameters

Name | Type
--- | ---
`K` | `K`: KubeObject<KubeObjectMetadata, any, any, K>

#### Parameters

Name | Type
--- | ---
`data` | `Partial`<K>

#### Returns

`Promise`<K>

#### Inherited from

WorkloadKubeObject.update

### create

▸ `Static` create(`data`): KubeObject<KubeObjectMetadata, any, any>

#### Parameters

Name | Type
--- | ---
`data` | `KubeJsonApiData`

#### Returns

KubeObject<KubeObjectMetadata, any, any>

#### Inherited from

WorkloadKubeObject.create

### isJsonApiData

▸ `Static` isJsonApiData(`object`): object is KubeJsonApiData

#### Parameters

Name | Type
--- | ---
`object` | `unknown`

#### Returns

object is KubeJsonApiData

#### Inherited from

WorkloadKubeObject.isJsonApiData

### isJsonApiDataList

▸ `Static` isJsonApiDataList<T>(`object`, `verifyItem`): object is KubeJsonApiDataList<T>

#### Type parameters

Name
`T`

#### Parameters

Name | Type
--- | ---
`object` | `unknown`
`verifyItem` | (`val`: `unknown`) => val is T

#### Returns

object is KubeJsonApiDataList<T>

#### Inherited from

WorkloadKubeObject.isJsonApiDataList

### isKubeJsonApiListMetadata

▸ `Static` isKubeJsonApiListMetadata(`object`): object is KubeJsonApiListMetadata

#### Parameters

Name | Type
--- | ---
`object` | `unknown`

#### Returns

object is KubeJsonApiListMetadata

#### Inherited from

WorkloadKubeObject.isKubeJsonApiListMetadata

### isKubeJsonApiMetadata

▸ `Static` isKubeJsonApiMetadata(`object`): object is KubeJsonApiMetadata

#### Parameters

Name | Type
--- | ---
`object` | `unknown`

#### Returns

object is KubeJsonApiMetadata

#### Inherited from

WorkloadKubeObject.isKubeJsonApiMetadata

### isNonSystem

▸ `Static` isNonSystem(`item`): `boolean`

#### Parameters

Name | Type
--- | ---
`item` | KubeObject<KubeObjectMetadata, any, any> | `KubeJsonApiData`

#### Returns

`boolean`

#### Inherited from

WorkloadKubeObject.isNonSystem

### isPartialJsonApiData

▸ `Static` isPartialJsonApiData(`object`): object is Partial<KubeJsonApiData>

#### Parameters

Name | Type
--- | ---
`object` | `unknown`

#### Returns

object is Partial<KubeJsonApiData>

#### Inherited from

WorkloadKubeObject.isPartialJsonApiData

### isPartialJsonApiMetadata

▸ `Static` isPartialJsonApiMetadata(`object`): object is Partial<KubeJsonApiMetadata>

#### Parameters

Name | Type
--- | ---
`object` | `unknown`

#### Returns

object is Partial<KubeJsonApiMetadata>

#### Inherited from

WorkloadKubeObject.isPartialJsonApiMetadata

### stringifyLabels

▸ `Static` stringifyLabels(`labels?`): `string`[]

#### Parameters

Name | Type
--- | ---
`labels?` | `Object`

#### Returns

`string`[]

#### Inherited from

WorkloadKubeObject.stringifyLabels